### Function

# GWeather FilterFunc

#### Declaration

    gboolean
    (* GWeatherFilterFunc) (
      GWeatherLocation* location,
      gpointer user_data
    )

#### Description [src]

A filter function for locations.

#### Parameters

`location`

  Type: `GWeatherLocation`

  The location to check.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  Data passed to `gweather_location_find_nearest_city_full()`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`FALSE` if the location should be skipped, and `TRUE` otherwise.